import { ZarrMultiscaleSpatialImage } from '@itk-viewer/io/ZarrMultiscaleSpatialImage.js';
export async function setup(server, viewer) {
    const service = await server.registerService({
        name: 'itk-viewer',
        id: 'itk-viewer',
        description: 'Retrieve the viewer API',
        setImage: async (imagePath, name) => {
            const url = new URL(imagePath, document.location.origin);
            const image = await ZarrMultiscaleSpatialImage.fromUrl(url);
            viewer.send({ type: 'setImage', image, name: name ?? 'image' });
        },
    });
    return server.getService(service.id);
}
//# sourceMappingURL=viewer.js.map